﻿@using WebApp.MVC.ViewModels
@model LoginViewModel
@{
    ViewBag.Title = "Login in";
    Layout = "~/Views/Shared/Metr0n1c/_Metr0n1c.4.login2.cshtml";
}

<!-- BEGIN LOGIN FORM -->
@using (Html.BeginForm("Login", "Account", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "login-form", role = "form" }))
{
    @Html.AntiForgeryToken()
    <div class="form-title">
        <span class="form-title">@SYM.Localization.Resources.Views.Authentication.Login.Title</span>
        <span class="form-subtitle">@SYM.Localization.Resources.Views.Authentication.Login.SubTitle @ViewBag.Release</span>
    </div>
    <!--Validation Message-->
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    <!--End Validation Message-->
    <div class="form-group">
        <!--ie8, ie9 does not support html5 placeholder, so we just show field title for that-->
        <label class="control-label visible-ie8 visible-ie9">Username</label>
        @Html.TextBoxFor(m => m.UserName, new { @class = "form-control form-control-solid placeholder-no-fix", @placeholder = "Username" })
        @Html.ValidationMessageFor(m => m.UserName, "", new { @class = "text-danger" })
    </div>
    <div class="form-group">
        <label class="control-label visible-ie8 visible-ie9">Password</label>
        @Html.PasswordFor(m => m.Password, new { @class = "form-control form-control-solid placeholder-no-fix", @placeholder = "Password" })
        @Html.ValidationMessageFor(m => m.Password, "", new { @class = "text-danger" })
    </div>
    <div class="form-actions">
        <input type="submit" class="btn btn-danger btn-block uppercase" value="Login" />
    </div>
    <div class="form-actions">
        <div class="pull-left">
            <label class="rememberme check">
                @Html.CheckBoxFor(m => m.RememberMe)
                @SYM.Localization.Resources.Views.Authentication.Login.RememberMe
            </label>
        </div>
        <div class="pull-right forget-password-block">
            <a href="javascript:;" id="forget-password" class="forget-password">@SYM.Localization.Resources.Views.Authentication.Login.ForgotPassword</a>
        </div>
    </div>
}
@*<div class="form-actions">
    <div class="col-md-12">
        <section id="socialLoginForm">
            @Html.Partial("_ExternalLoginsListPartial", new ExternalLoginListViewModel { ReturnUrl = ViewBag.ReturnUrl })
        </section>
    </div>
</div>*@
<div class="create-account">
    <p>
        <a href="@Url.Action("Register", "Account")"><i class="fa fa-user-plus"></i> @SYM.Localization.Resources.Views.Authentication.Login.NewAccount</a>
    </p>
</div>
<!-- END LOGIN FORM -->
@Html.Partial("~/Views/Account/Partial/_ForgotPassword.cshtml")

@section scripts {
    <script type="text/javascript">
        var ComponentsBootstrapSelect = function () {

            var handleBootstrapSelect = function () {
                $('.bs-select').selectpicker({
                    iconBase: 'fa',
                    tickIcon: 'fa-check'
                });
            }

            return {
                //main function to initiate the module
                init: function () {
                    handleBootstrapSelect();
                    $('.login').backstretch([
                        "/Content/images/bg/photo-login-min.jpg",
                        "/Content/images/bg/photo-10-min.jpg",
                        "/Content/images/bg/photo-11-min.jpg"
                    ], {
                        fade: 2000,
                        duration: 8000
                    });
                }
            };

        }();

        jQuery(document).ready(function () {
            ComponentsBootstrapSelect.init();
        });
    </script>
}

